<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>LuongDuyLiem_Lesson1_Homework</title>
    <link rel="stylesheet" href="/Lesson_1_Homework/main.css">
</head>

<body>
    <!-- 1: -->
    <div class="css-1">
        <h1>Get the invite</h1>
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit</p>
        <input placeholder="Enter email" type="text">
        <br />
        <button>REQUEST INVITE</button>
    </div>
    <hr />

    <!-- 2: -->
    <div class="css-2">
        <h1>This is a demo image</h1>
        <h2>FIFA WORLD CUP 2014 NEWS</h2>
        <p>
            The biggest scoreline in the history of the
            <strong>FIFA World Cup</strong> qualifiers - and indeed in the
            history of international football - was recorded on 11 April 2001,
            when Autralia beat American Samoa 31-0.
        </p>
        <p>
            The legendary match aslo brought global renown for <i>Archie Thompson</i>,
            whose 13-goal haul set a new world record, which stands to this day,
            for an individual player in a single international match.
        </p>
        <p>
            And though the default earned American Samoa ignominy, so inspiring
            has their subsequent recovery been that it is now the subject of an
            acclaimed documentary, <i>'Next Goal Wins'</i>, showing across the
            world
        </p>
        <h3>Destinations</h3>
        <ul>
            <li><a id="css-2-selectedLink" href="#">BELO HORIZONTE STADIUM: Estadio Mibeirao</a></li>
            <li><a href="#">BRASILIA STADIUM : Estaidio Nacional</a></li>
            <li><a href="#">CULABA STADIUM : Arena Pautanal</a></li>
            <li><a href="#">CURITIBA STADIUM : Arena da Baixada</a></li>
            <li><a href="#">FORTALEZA STADIUM : Estadio das Dunas</a></li>
            <li><a href="#">MANAUS STADIUM : Arena Amazonia</a></li>
            <li><a href="#">NATAL STADIUM : Estadio das Dunas</a></li>
            <li><a href="#">PORTO ALEGRE STADIUM : Estadio Beira-Rio</a></li>
            <li><a href="#">RECIFE STADIUM : Arena Penambaco</a></li>
            <li><a href="#">RIO DE JANEIRO STADIUM : Maracana-Estadio Jonalista Mario Fibo</a></li>
            <li><a href="#">SALVADOR STADIUM : Arena Fonte Nova</a></li>
            <li><a href="#">SAO PAULO STADIUM : Arena de Sao Paulo</a></li>
        </ul>
    </div>
    <hr />

    <!-- 3: -->
    <div class="css-3">
        <h2>190 x 50</h2>
        <h3>Best Shared Hosting Company</h3>
        <p>
            With this responsive landing page template, you can promote your all
            hosting, domain and email services.
        </p>
        <ul>
            <li><a href="#">View Plans</a></li>
            <li><a href="#">All Features</a></li>
        </ul>
    </div>
    <hr />

    <!-- 4: -->
    <div class="css-4">
        <b>Ubuntu Version</b>
        <table cellpadding="10px" cellspacing="10px" align="center" width="90%">
            <tr>
                <th>Code Name</th>
                <th>Version</th>
                <th>Notes</th>
            </tr>
            <tr align="center" valign="top" bgcolor="f5f5f0">
                <td>Maverick Meekat</td>
                <td>10.10</td>
                <td rowspan="2" valign="middle">
                    <span style="color: red">rowspan</span>
                </td>
            </tr>
            <tr>
                <td>Lucid Lynx</td>
                <td>10.04</td>
            </tr>
            <tr align="center" valign="middle">
                <td colspan="3"><span style="color: red">colspan</span></td>
            </tr>
        </table>
    </div>
    <hr />

    <!-- 5: -->
    <div class="css-5">
        <table>
            <caption></caption>
            <colgroup>
                <col />
                <col />
            </colgroup>
            <thead>
                <tr>
                    <th></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <th></th>
                    <td></td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td></td>
                    <td></td>
                </tr>
            </tfoot>
        </table>
    </div>
    <hr />

    <!-- 6: -->
    <div class="css-6">
        <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/form">Link document</a>
        <form>
            <label>Tên đăng nhập: </label>
            <input type="text" />
            <br />

            <label>Mật khẩu: </label>
            <input type="password" />
            <br />

            <input type="submit" value="Đăng nhập" />
        </form>
    </div>
    <hr />

    <!-- 7: Input -->
    <div>
        <p>Dữ liệu nhập vào là 1 dạng văn bản</p>
        <input type="text"> text
        <br />
        <br />

        <p>Tương tự input type Text nhưng chỉ nhận giá trị là số</p>
        <input type="number"> number
        <br />
        <br />

        <p>Các kí tự trong trường password được ẩn đi 
            (nó được mã hóa hiển thị thành hình sao hoặc các chấm tròn)</p>
        <input type="password"> password
        <br />
        <br />

        <p>Cho phép chọn nhiều giá trị trong cùng nhóm giá trị (nhóm Name)</p>
        <input type="checkbox" name="gender" value="Nam"> Nam
        <input type="checkbox" name="gender" value="Nữ"> Nữ
        <br />
        <br />

        <p>Cho phép chọn 1 giá trị duy nhất trong cùng nhóm giá trị (nhóm Name)</p>
        <input type="radio" name="gender" value="Nam">Nam
        <input type="radio" name="gender" value="Nữ">Nữ
        <br />
        <br />

        <p>Tương tự input type Text nhưng nhận giá trị là mã màu</p>
        <input type="color"> Color
        <br />
        <br />

        <p>Tương tự input type Text nhưng nhận giá trị là date time</p>
        <input type="datetime-local"> DateTimeLocal
        <br />
        <br />

        <p>Tương tự input type Text nhưng nhận giá trị là date</p>
        <input type="date"> Date
        <br />
        <br />

        <p>Tương tự input type Date nhưng 
            hiển thị là tuần nào trong năm 
            và các ngày trong tuần gồm những ngày nào</p>
        <input type="week"> week
        <br />
        <br />

        <p>Tương tự input type Date nhưng 
            hiển thị chỉ cho chọn tháng</p>
        <input type="month"> month
        <br />
        <br />

        <p>Tương tự input type Date nhưng 
            hiển thị chỉ cho chọn thời gian</p>
        <input type="time"> time
        <br />
        <br />

        <p>Tương tự input type Text nhưng
            dữ liệu là number
            hiển thị là thanh kéo trượt</p>
        <input type="range" min="0" max="10"> range
        <br />
        <br />

        <p>Kiểm tra giá trị nhập vào phải là dạng email ko, có @... </p>
        <input type="email"> Email
        <br />
        <br />

        <p>Tương tự như input Text, 
            Kiểm tra giá trị đầu vào là 1 sđt theo quy định cho trước </p>
        <input type="tel" pattern="[0-9]{10}"> tel
        <br />
        <br /> 
        
        <p>Tương tự như input Tel, 
            Kiểm tra giá trị đầu vào là 1 URL theo quy định cho trước </p>
        <input type="url" pattern="https://.*" size="30"> url
        <br />
        <br />

        <p>Cho chọn file từ máy tính và chỉ nhận những định dnajg file quy định </p>
        <input type="file" accept="image/png, image/jpeg"> File
        <br />
        <br />

        <p>Tạo ra 1 button, nhưng ko thể chứa Content. 
            vd: tag button có thể chèn img nhưng input type button ko thể
            <a href="https://www.geeksforgeeks.org/button-tag-vs-input-typebutton-attribute/">Link ví dụ</a>
        </p>
        <input type="button" value="Name"> Button
        <br />
        <br /> 
        
        <p>Tương tự như tag image nhưng có thêm các attribue</p>
        <input type="image"> image
        <br />
        <br />

        <p>Tương tự như input Text nhưng ẩn đi ko hiển thị cho user </p>
        <input type="hidden"> Hidden
        <br />
        <br />
        
        <p>Thường nằm trong thẻ Form và khi click thì sẽ lấy dữ liệu
            từ các input khác nằm trong form đó gửi đến 1 trang xác định</p>
        <input type="submit"> submit
        <br />
        <br /> 
        
        <p>là 1 dạng button, khi click vào thì xóa hết dữ liệu vừa nhập 
            của các input trong 1 form </p>
        <input type="reset"> reset
        <br />
        <br />

        <p>Y hệt như input Text nhưng có thêm các attribue:
            autocomplete, list </p>
        <input type="search"> search
        <br />
        <br />                                
    </div>
</body>

</html>